com.sun.jna.platform.win32

## Class Cfgmgr32Util.Cfgmgr32Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.Cfgmgr32Util.Cfgmgr32Exception

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Cfgmgr32Util

      public static class Cfgmgr32Util.Cfgmgr32Exception
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cfgmgr32Exception(int errorCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Cfgmgr32Exception

          public Cfgmgr32Exception(int errorCode)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.